Available buyer market: Korea
Stop using cash back rule applied to an option ID.
Path
DELETE
/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/products/items/cashback
Example Endpoint
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/products/items/cashback?ruleId=3944&vendorItemId=3000001897
Request Parameters
Path Segment Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| vendorId | O | String |
Seller ID
Unique code issued by Coupang to the seller
ex) A00012345
|
||||
Query String Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| ruleId | O | Number |
Rule ID
Input a rule ID given after the cash back contract is signed
|
||||
| vendorItemId | O | Number |
Option ID
|
||||
Request Example
not require body
Response Message
| Name | Type | Description | ||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | Number |
Http request status code
Example: 200, 400, 500
|
||||||||||
| message | String |
Result message based on success or failure
|
||||||||||
Response Example
{
"code": "200",
"message": "OK"
}
Error Spec
| HTTP Status Code (Error Type) | Error Message | Solution |
|---|---|---|
| 404 (Check parameter requested) | Can not find promotion with given condition vendorItemId : 3376*****9 | Check whether cash back is applied to the option ID (vendorItemID). The option ID where cash back is applied can be removed. |
| 400 (Check parameter requested) |
vendor don't have the permission to use this rule, please make sure you use the correct ruleId. |
Check whether the RuleId is correctly input. |
| 400 (Check parameter requested) |
Invalid vendorItemId, vendorItemId doesn't exist or doesn't belong to corresponding vendorId |
Check whether OptionID (vendorItemId) is correctly input. |
URL API Name
DELETE_PRODUCT_CASHBACK